# HG changeset patch
# Node ID 5c1b43be815d
# Parent  ca22b00972d4
diff --git a/libpurple/account.h b/libpurple/account.h
--- a/libpurple/account.h
+++ b/libpurple/account.h
@@ -29,11 +29,6 @@
 #include <glib.h>
 #include <glib-object.h>
 
-/**
- * PURPLE_TYPE_ACCOUNT:
- *
- * The standard _get_type macro for #PurpleAccount.
- */
 #define PURPLE_TYPE_ACCOUNT             (purple_account_get_type())
 
 typedef struct _PurpleAccount       PurpleAccount;
diff --git a/libpurple/buddylist.h b/libpurple/buddylist.h
--- a/libpurple/buddylist.h
+++ b/libpurple/buddylist.h
@@ -30,11 +30,6 @@
 
 #include "buddy.h"
 
-/**
- * PURPLE_TYPE_BUDDY_LIST:
- *
- * The standard _get_type macro for #PurpleBuddyList.
- */
 #define PURPLE_TYPE_BUDDY_LIST (purple_buddy_list_get_type())
 typedef struct _PurpleBuddyList PurpleBuddyList;
 
diff --git a/libpurple/circularbuffer.h b/libpurple/circularbuffer.h
--- a/libpurple/circularbuffer.h
+++ b/libpurple/circularbuffer.h
@@ -29,13 +29,7 @@
 
 G_BEGIN_DECLS
 
-/**
- * PURPLE_TYPE_CIRCULAR_BUFFER:
- *
- * The standard _get_type macro for #PurpleCircularBuffer.
- */
 #define PURPLE_TYPE_CIRCULAR_BUFFER (purple_circular_buffer_get_type())
-
 G_DECLARE_DERIVABLE_TYPE(PurpleCircularBuffer, purple_circular_buffer, PURPLE,
                          CIRCULAR_BUFFER, GObject)
 
diff --git a/libpurple/connection.h b/libpurple/connection.h
--- a/libpurple/connection.h
+++ b/libpurple/connection.h
@@ -28,27 +28,12 @@
 
 #include <glib.h>
 
-/**
- * PURPLE_TYPE_CONNECTION:
- *
- * The standard _get_type macro for #PurpleConnection.
- */
 #define PURPLE_TYPE_CONNECTION  purple_connection_get_type()
 typedef struct _PurpleConnection PurpleConnection;
 
-/**
- * PURPLE_TYPE_CONNECTION_UI_OPS:
- *
- * The standard _get_type macro for #PurpleConnectionUiOps.
- */
 #define PURPLE_TYPE_CONNECTION_UI_OPS  (purple_connection_ui_ops_get_type())
 typedef struct _PurpleConnectionUiOps PurpleConnectionUiOps;
 
-/**
- * PURPLE_TYPE_CONNECTION_ERROR_INFO:
- *
- * The standard _get_type macro for #PurpleConnectionErrorInfo.
- */
 #define PURPLE_TYPE_CONNECTION_ERROR_INFO  (purple_connection_error_info_get_type())
 typedef struct _PurpleConnectionErrorInfo PurpleConnectionErrorInfo;
 
diff --git a/libpurple/image.h b/libpurple/image.h
--- a/libpurple/image.h
+++ b/libpurple/image.h
@@ -28,11 +28,6 @@
 
 #include <glib-object.h>
 
-/**
- * PURPLE_TYPE_IMAGE:
- *
- * The standard _get_type macro for #PurpleImage.
- */
 #define PURPLE_TYPE_IMAGE  purple_image_get_type()
 
 struct _PurpleImageClass {
@@ -59,11 +54,6 @@
  * (which data is not yet loaded) or guessing file format from its header.
  */
 
-/**
- * purple_image_get_type:
- *
- * Returns: the #GType for an image.
- */
 G_DECLARE_DERIVABLE_TYPE(PurpleImage, purple_image, PURPLE, IMAGE, GObject)
 
 /**
diff --git a/libpurple/media-gst.h b/libpurple/media-gst.h
--- a/libpurple/media-gst.h
+++ b/libpurple/media-gst.h
@@ -31,18 +31,8 @@
 
 #include <gst/gst.h>
 
-/**
- * PURPLE_TYPE_MEDIA_ELEMENT_TYPE:
- *
- * The standard _get_type macro for #PurpleMediaElementType.
- */
 #define PURPLE_TYPE_MEDIA_ELEMENT_TYPE  purple_media_element_type_get_type()
 
-/**
- * PURPLE_TYPE_MEDIA_ELEMENT_INFO:
- *
- * The standard _get_type macro for #PurpleMediaElementInfo.
- */
 #define PURPLE_TYPE_MEDIA_ELEMENT_INFO  purple_media_element_info_get_type()
 
 /**
@@ -99,22 +89,8 @@
 
 G_BEGIN_DECLS
 
-/**
- * purple_media_element_type_get_type:
- *
- * Gets the element type's GType.
- *
- * Returns: The element type's GType.
- */
 GType purple_media_element_type_get_type(void);
 
-/**
- * purple_media_element_info_get_type:
- *
- * Gets the element info's GType.
- *
- * Returns: The element info's GType.
- */
 G_DECLARE_FINAL_TYPE(PurpleMediaElementInfo, purple_media_element_info, PURPLE,
 		MEDIA_ELEMENT_INFO, GObject)
 
diff --git a/libpurple/mediamanager.h b/libpurple/mediamanager.h
--- a/libpurple/mediamanager.h
+++ b/libpurple/mediamanager.h
@@ -34,11 +34,6 @@
 #include "account.h"
 #include "media.h"
 
-/**
- * PURPLE_TYPE_MEDIA_MANAGER:
- *
- * The standard _get_type macro for #PurpleMediaManager.
- */
 #define PURPLE_TYPE_MEDIA_MANAGER purple_media_manager_get_type()
 
 /**
@@ -87,13 +82,6 @@
 /* Media Manager API                                                      */
 /**************************************************************************/
 
-/**
- * purple_media_manager_get_type:
- *
- * Gets the media manager's GType.
- *
- * Returns: The media manager's GType.
- */
 G_DECLARE_FINAL_TYPE(PurpleMediaManager, purple_media_manager, PURPLE,
 		MEDIA_MANAGER, GObject)
 
diff --git a/libpurple/purpleaccountpresence.h b/libpurple/purpleaccountpresence.h
--- a/libpurple/purpleaccountpresence.h
+++ b/libpurple/purpleaccountpresence.h
@@ -38,18 +38,7 @@
  * #PurpleAccount.
  */
 
-/**
- * PURPLE_TYPE_ACCOUNT_PRESENCE:
- *
- * The standard _get_type macro for #PurpleAccountPresence.
- */
 #define PURPLE_TYPE_ACCOUNT_PRESENCE (purple_account_presence_get_type())
-
-/**
- * purple_account_presence_get_type:
- *
- * Returns: The #GType for the #PurpleAccountPresence object.
- */
 G_DECLARE_FINAL_TYPE(PurpleAccountPresence, purple_account_presence, PURPLE,
                      ACCOUNT_PRESENCE, PurplePresence)
 
diff --git a/libpurple/purpleattachment.h b/libpurple/purpleattachment.h
--- a/libpurple/purpleattachment.h
+++ b/libpurple/purpleattachment.h
@@ -30,14 +30,6 @@
 
 G_BEGIN_DECLS
 
-/**
- * PURPLE_TYPE_ATTACHMENT:
- *
- * The standard _TYPE_ macro for #PurpleAttachment.
- *
- * Since: 3.0.0
- */
-
 #define PURPLE_TYPE_ATTACHMENT purple_attachment_get_type()
 
 /**
@@ -46,13 +38,6 @@
  * #PurpleAttachment represents a file attached to a #PurpleMessage.
  */
 
-/**
- * purple_attachment_get_type:
- *
- * Returns: the #GType for an attachment.
- *
- * Since: 3.0.0
- */
 G_DECLARE_FINAL_TYPE(PurpleAttachment, purple_attachment, PURPLE, ATTACHMENT, GObject)
 
 /**
diff --git a/libpurple/purplebuddypresence.h b/libpurple/purplebuddypresence.h
--- a/libpurple/purplebuddypresence.h
+++ b/libpurple/purplebuddypresence.h
@@ -38,18 +38,7 @@
  * #PurpleBuddy.
  */
 
-/**
- * PURPLE_TYPE_BUDDY_PRESENCE:
- *
- * The standard _get_type macro for #PurpleBuddyPresence.
- */
 #define PURPLE_TYPE_BUDDY_PRESENCE (purple_buddy_presence_get_type())
-
-/**
- * purple_buddy_presence_get_type:
- *
- * Returns: The #GType for the #PurpleBuddyPresence object.
- */
 G_DECLARE_FINAL_TYPE(PurpleBuddyPresence, purple_buddy_presence, PURPLE,
                      BUDDY_PRESENCE, PurplePresence)
 
diff --git a/libpurple/purplechatuser.h b/libpurple/purplechatuser.h
--- a/libpurple/purplechatuser.h
+++ b/libpurple/purplechatuser.h
@@ -59,19 +59,7 @@
 	PURPLE_CHAT_USER_AWAY     = 0x0020
 } PurpleChatUserFlags;
 
-/**
- * PURPLE_TYPE_CHAT_USER:
- *
- * The standard _get_type macro for #PurpleChatUser.
- */
 #define PURPLE_TYPE_CHAT_USER purple_chat_user_get_type()
-
-/**
- * purple_chat_user_get_type:
- *
- * Returns: The #GType for the ChatConversationBuddy object.
- */
-
 G_DECLARE_FINAL_TYPE(PurpleChatUser, purple_chat_user, PURPLE, CHAT_USER,
                      GObject)
 
diff --git a/libpurple/purpleconversation.h b/libpurple/purpleconversation.h
--- a/libpurple/purpleconversation.h
+++ b/libpurple/purpleconversation.h
@@ -31,13 +31,6 @@
 
 #include <purplemessage.h>
 
-/**
- * PURPLE_TYPE_CONVERSATION:
- *
- * The standard _TYPE_ macro for PurpleConversation.
- *
- * Since: 3.0.0
- */
 #define PURPLE_TYPE_CONVERSATION (purple_conversation_get_type())
 G_DECLARE_DERIVABLE_TYPE(PurpleConversation, purple_conversation, PURPLE,
                          CONVERSATION, GObject)
@@ -131,12 +124,6 @@
 G_BEGIN_DECLS
 
 /**
- * purple_conversation_get_type:
- *
- * Returns: The #GType for the Conversation object.
- */
-
-/**
  * purple_conversation_present:
  * @conv: The conversation to present
  *
diff --git a/libpurple/purpleconversationmanager.h b/libpurple/purpleconversationmanager.h
--- a/libpurple/purpleconversationmanager.h
+++ b/libpurple/purpleconversationmanager.h
@@ -29,26 +29,9 @@
 
 G_BEGIN_DECLS
 
-/**
- * PURPLE_TYPE_CONVERSATION_MANAGER:
- *
- * The standard _TYPE_ macro for PurpleConversationManager.
- *
- * Since: 3.0.0
- */
 #define PURPLE_TYPE_CONVERSATION_MANAGER (purple_conversation_manager_get_type())
 
 /**
- * purple_conversation_manager_get_type:
- *
- * Gets the #GType of #PurpleConversationManager.
- *
- * Returns: The #GType of #PurpleConversationManager.
- *
- * Since: 3.0.0
- */
-
-/**
  * PurpleConversationManager:
  *
  * #PurpleConversationManager keeps track of all #PurpleConversation's inside
diff --git a/libpurple/purpleconversationuiops.h b/libpurple/purpleconversationuiops.h
--- a/libpurple/purpleconversationuiops.h
+++ b/libpurple/purpleconversationuiops.h
@@ -29,11 +29,6 @@
 #include <glib.h>
 #include <glib-object.h>
 
-/**
- * PURPLE_TYPE_CONVERSATION_UI_OPS:
- *
- * The standard _get_type macro for #PurpleConversationUiOps.
- */
 #define PURPLE_TYPE_CONVERSATION_UI_OPS (purple_conversation_ui_ops_get_type())
 typedef struct _PurpleConversationUiOps PurpleConversationUiOps;
 
diff --git a/libpurple/purplecredentialmanager.h b/libpurple/purplecredentialmanager.h
--- a/libpurple/purplecredentialmanager.h
+++ b/libpurple/purplecredentialmanager.h
@@ -40,13 +40,6 @@
  */
 #define PURPLE_CREDENTIAL_MANAGER_DOMAIN (g_quark_from_static_string("purple-credential-manager"))
 
-/**
- * PURPLE_TYPE_CREDENTIAL_MANAGER:
- *
- * The standard _get_type macro for #PurpleCredentialManager.
- *
- * Since: 3.0.0
- */
 #define PURPLE_TYPE_CREDENTIAL_MANAGER (purple_credential_manager_get_type())
 G_DECLARE_FINAL_TYPE(PurpleCredentialManager, purple_credential_manager,
                      PURPLE, CREDENTIAL_MANAGER, GObject)
diff --git a/libpurple/purplecredentialprovider.h b/libpurple/purplecredentialprovider.h
--- a/libpurple/purplecredentialprovider.h
+++ b/libpurple/purplecredentialprovider.h
@@ -51,25 +51,7 @@
  * Since: 3.0.0
  */
 
-/**
- * PURPLE_TYPE_CREDENTIAL_PROVIDER:
- *
- * The standard _TYPE_ macro for PurpleCredentialProvider.
- *
- * Since: 3.0.0
- */
-
 #define PURPLE_TYPE_CREDENTIAL_PROVIDER (purple_credential_provider_get_type())
-
-/**
- * purple_credential_provider_get_type:
- *
- * Gets the #GType of #PurpleCredentialProvider.
- *
- * Returns: The #GType of #PurpleCredentialProvider.
- *
- * Since: 3.0.0
- */
 G_DECLARE_DERIVABLE_TYPE(PurpleCredentialProvider, purple_credential_provider,
                          PURPLE, CREDENTIAL_PROVIDER, GObject)
 
diff --git a/libpurple/purpledebugui.h b/libpurple/purpledebugui.h
--- a/libpurple/purpledebugui.h
+++ b/libpurple/purpledebugui.h
@@ -32,11 +32,6 @@
 
 G_BEGIN_DECLS
 
-/**
- * PURPLE_TYPE_DEBUG_UI:
- *
- * The standard _get_type macro for #PurpleDebugUi.
- */
 #define PURPLE_TYPE_DEBUG_UI (purple_debug_ui_get_type())
 
 /**
diff --git a/libpurple/purplehistorymanager.h b/libpurple/purplehistorymanager.h
--- a/libpurple/purplehistorymanager.h
+++ b/libpurple/purplehistorymanager.h
@@ -39,11 +39,6 @@
  */
 #define PURPLE_HISTORY_MANAGER_DOMAIN (g_quark_from_static_string("purple-history-manager"))
 
-/**
- * PURPLE_TYPE_HISTORY_MANAGER:
- *
- * The standard _get_type macro for #PurpleHistoryManager.
- */
 #define PURPLE_TYPE_HISTORY_MANAGER (purple_history_manager_get_type())
 G_DECLARE_FINAL_TYPE(PurpleHistoryManager, purple_history_manager, PURPLE,
                      HISTORY_MANAGER, GObject)
diff --git a/libpurple/purplemessage.h b/libpurple/purplemessage.h
--- a/libpurple/purplemessage.h
+++ b/libpurple/purplemessage.h
@@ -33,13 +33,6 @@
 
 G_BEGIN_DECLS
 
-/**
- * PURPLE_TYPE_MESSAGE:
- *
- * The standard _get_type macro for #PurpleMessage.
- *
- * Since: 3.0.0
- */
 #define PURPLE_TYPE_MESSAGE purple_message_get_type()
 
 /**
@@ -113,13 +106,6 @@
  * #PurpleMessage represents any message passed between users in libpurple.
  */
 
-/**
- * purple_message_get_type:
- *
- * Returns: the #GType for a message.
- *
- * Since: 3.0.0
- */
 G_DECLARE_FINAL_TYPE(PurpleMessage, purple_message, PURPLE, MESSAGE, GObject)
 
 /**
diff --git a/libpurple/purplenoopcredentialprovider.h b/libpurple/purplenoopcredentialprovider.h
--- a/libpurple/purplenoopcredentialprovider.h
+++ b/libpurple/purplenoopcredentialprovider.h
@@ -40,24 +40,7 @@
  * Since: 3.0.0
  */
 
-/**
- * PURPLE_TYPE_NOOP_CREDENTIAL_PROVIDER:
- *
- * The standard _TYPE_ macro for #PurpleNoopCredentialProvider.
- *
- * Since: 3.0.0
- */
 #define PURPLE_TYPE_NOOP_CREDENTIAL_PROVIDER (purple_noop_credential_provider_get_type())
-
-/**
- * purple_noop_credential_provider_get_type:
- *
- * Gets the #GType of #PurpleNoopCredentialProvider.
- *
- * Returns: The #GType of #PurpleNoopCredentialProvider.
- *
- * Since: 3.0.0
- */
 G_DECLARE_FINAL_TYPE(PurpleNoopCredentialProvider,
                      purple_noop_credential_provider,
                      PURPLE, NOOP_CREDENTIAL_PROVIDER, PurpleCredentialProvider)
diff --git a/libpurple/purpleplugininfo.h b/libpurple/purpleplugininfo.h
--- a/libpurple/purpleplugininfo.h
+++ b/libpurple/purpleplugininfo.h
@@ -32,13 +32,6 @@
 
 #include "pluginpref.h"
 
-/**
- * PURPLE_TYPE_PLUGIN_INFO:
- *
- * The standard _get_type macro for #PurplePluginInfo.
- *
- * Since: 3.0.0
- */
 #define PURPLE_TYPE_PLUGIN_INFO (purple_plugin_info_get_type())
 
 /**
@@ -50,15 +43,6 @@
  * Since: 3.0.0
  */
 
-/**
- * purple_plugin_info_get_type:
- *
- * The standard _get_type function for #PurplePluginInfo.
- *
- * Returns: The #GType for the #PurplePluginInfo object.
- *
- * Since: 3.0.0
- */
 G_DECLARE_DERIVABLE_TYPE(PurplePluginInfo, purple_plugin_info, PURPLE,
                          PLUGIN_INFO, GPluginPluginInfo)
 
@@ -98,12 +82,6 @@
 typedef gpointer (*PurplePluginPrefRequestCb)(PurplePlugin *plugin);
 
 /**
- * PURPLE_TYPE_PLUGIN_INFO_FLAGS:
- *
- * The standard type macro for #PurplePluginInfoFlags.
- */
-
-/**
  * PurplePluginInfoFlags:
  * @PURPLE_PLUGIN_INFO_FLAGS_INTERNAL:  Plugin is not shown in UI lists
  * @PURPLE_PLUGIN_INFO_FLAGS_AUTO_LOAD: Auto-load the plugin
diff --git a/libpurple/purplepresence.h b/libpurple/purplepresence.h
--- a/libpurple/purplepresence.h
+++ b/libpurple/purplepresence.h
@@ -68,19 +68,7 @@
 	gpointer reserved[4];
 };
 
-/**
- * PURPLE_TYPE_PRESENCE:
- *
- * The standard _get_type macro for #PurplePresence.
- */
 #define PURPLE_TYPE_PRESENCE purple_presence_get_type()
-
-/**
- * purple_presence_get_type:
- *
- * Returns: The #GType for the #PurplePresence object.
- */
-
 G_DECLARE_DERIVABLE_TYPE(PurplePresence, purple_presence, PURPLE, PRESENCE,
                          GObject)
 
diff --git a/libpurple/purpleprotocol.h b/libpurple/purpleprotocol.h
--- a/libpurple/purpleprotocol.h
+++ b/libpurple/purpleprotocol.h
@@ -30,13 +30,6 @@
 #include <glib.h>
 #include <glib-object.h>
 
-/**
- * PURPLE_TYPE_PROTOCOL:
- *
- * The standard _TYPE_ macro for #PurpleProtocol.
- *
- * Since: 3.0.0
- */
 #define PURPLE_TYPE_PROTOCOL (purple_protocol_get_type())
 
 /**
@@ -47,16 +40,6 @@
  * Since: 3.0.0
  */
 
-/**
- * purple_protocol_get_type:
- *
- * Gets the #GType for #PurpleProtocol.
- *
- * Returns: The #GType of #PurpleProtocol.
- *
- * Since: 3.0.0
- */
-
 G_DECLARE_DERIVABLE_TYPE(PurpleProtocol, purple_protocol, PURPLE, PROTOCOL,
                          GObject)
 
diff --git a/libpurple/purpleprotocolchat.h b/libpurple/purpleprotocolchat.h
--- a/libpurple/purpleprotocolchat.h
+++ b/libpurple/purpleprotocolchat.h
@@ -34,26 +34,9 @@
 #include <libpurple/purplemessage.h>
 #include <libpurple/purpleprotocol.h>
 
-/**
- * PURPLE_TYPE_PROTOCOL_CHAT:
- *
- * The standard _TYPE_ macro for #PurpleProtocolChat.
- *
- * Since: 3.0.0
- */
 #define PURPLE_TYPE_PROTOCOL_CHAT (purple_protocol_chat_get_type())
 
 /**
- * purple_protocol_chat_get_type:
- *
- * Gets the #GType for #PurpleProtocolChat.
- *
- * Returns: The #GType for #PurpleProtocolChat.
- *
- * Since: 3.0.0
- */
-
-/**
  * PurpleProtocolChat:
  *
  * #PurpleProtocolChat describes the API that protocols need to implement for
diff --git a/libpurple/purpleprotocolfactory.h b/libpurple/purpleprotocolfactory.h
--- a/libpurple/purpleprotocolfactory.h
+++ b/libpurple/purpleprotocolfactory.h
@@ -37,11 +37,6 @@
 
 G_BEGIN_DECLS
 
-/**
- * PURPLE_TYPE_PROTOCOL_FACTORY:
- *
- * The standard _get_type macro for #PurpleProtocolFactory.
- */
 #define PURPLE_TYPE_PROTOCOL_FACTORY (purple_protocol_factory_iface_get_type())
 
 /**
diff --git a/libpurple/purpleprotocolim.h b/libpurple/purpleprotocolim.h
--- a/libpurple/purpleprotocolim.h
+++ b/libpurple/purpleprotocolim.h
@@ -33,26 +33,9 @@
 #include <libpurple/connection.h>
 #include <libpurple/purpleprotocol.h>
 
-/**
- * PURPLE_TYPE_PROTOCOL_IM:
- *
- * The standard _TYPE_ macro for #PurpleProtocolIM.
- *
- * Since: 3.0.0
- */
 #define PURPLE_TYPE_PROTOCOL_IM (purple_protocol_im_get_type())
 
 /**
- * purple_protocol_im_get_type:
- *
- * Gets the #GType for #PurpleProtocolIM.
- *
- * Returns: The #GType for #PurpleProtocolIM.
- *
- * Since: 3.0.0
- */
-
-/**
  * PurpleProtocolIM:
  *
  * #PurpleProtocolIM describes the API that protocols need to implement for
diff --git a/libpurple/purpleprotocolmanager.h b/libpurple/purpleprotocolmanager.h
--- a/libpurple/purpleprotocolmanager.h
+++ b/libpurple/purpleprotocolmanager.h
@@ -39,11 +39,6 @@
  */
 #define PURPLE_PROTOCOL_MANAGER_DOMAIN (g_quark_from_static_string("purple-protocol-manager"))
 
-/**
- * PURPLE_TYPE_PROTOCOL_MANAGER:
- *
- * The standard _get_type macro for #PurpleProtocolManager.
- */
 #define PURPLE_TYPE_PROTOCOL_MANAGER (purple_protocol_manager_get_type())
 G_DECLARE_FINAL_TYPE(PurpleProtocolManager, purple_protocol_manager, PURPLE,
                      PROTOCOL_MANAGER, GObject)
diff --git a/libpurple/purpleprotocolmedia.h b/libpurple/purpleprotocolmedia.h
--- a/libpurple/purpleprotocolmedia.h
+++ b/libpurple/purpleprotocolmedia.h
@@ -41,14 +41,6 @@
 G_BEGIN_DECLS
 
 /**
- * PURPLE_TYPE_PROTOCOL_MEDIA:
- *
- * The standard _get_type method for #PurpleProtocolMedia.
- *
- * Since: 3.0.0
- */
-
-/**
  * PurpleProtocolMedia:
  *
  * #PurpleProtocolMedia describes the multimedia api that is available for
diff --git a/libpurple/purpleprotocolprivacy.h b/libpurple/purpleprotocolprivacy.h
--- a/libpurple/purpleprotocolprivacy.h
+++ b/libpurple/purpleprotocolprivacy.h
@@ -33,11 +33,6 @@
 #include <libpurple/connection.h>
 #include <libpurple/purpleprotocol.h>
 
-/**
- * PURPLE_TYPE_PROTOCOL_PRIVACY:
- *
- * The standard _get_type method for #PurpleProtocolPrivacy.
- */
 #define PURPLE_TYPE_PROTOCOL_PRIVACY (purple_protocol_privacy_get_type())
 
 /**
diff --git a/libpurple/purpleprotocolserver.h b/libpurple/purpleprotocolserver.h
--- a/libpurple/purpleprotocolserver.h
+++ b/libpurple/purpleprotocolserver.h
@@ -44,14 +44,6 @@
 G_BEGIN_DECLS
 
 /**
- * PURPLE_TYPE_PROTOCOL_SERVER:
- *
- * The standard _get_type method for #PurpleProtocolServer.
- *
- * Since: 3.0.0
- */
-
-/**
  * PurpleProtocolServer:
  *
  * #PurpleProtocolServer describes the API for protocols that have a central
diff --git a/libpurple/purpleuiinfo.h b/libpurple/purpleuiinfo.h
--- a/libpurple/purpleuiinfo.h
+++ b/libpurple/purpleuiinfo.h
@@ -32,11 +32,6 @@
 
 G_BEGIN_DECLS
 
-/**
- * PURPLE_TYPE_UI_INFO:
- *
- * The standard _get_type macro for #PurpleUiInfo.
- */
 #define PURPLE_TYPE_UI_INFO (purple_ui_info_get_type())
 
 /**
diff --git a/libpurple/purplewhiteboard.h b/libpurple/purplewhiteboard.h
--- a/libpurple/purplewhiteboard.h
+++ b/libpurple/purplewhiteboard.h
@@ -27,11 +27,6 @@
 #ifndef PURPLE_WHITEBOARD_H
 #define PURPLE_WHITEBOARD_H
 
-/**
- * PURPLE_TYPE_WHITEBOARD:
- *
- * The standard _get_type macro for #PurpleWhiteboard.
- */
 #define PURPLE_TYPE_WHITEBOARD (purple_whiteboard_get_type())
 typedef struct _PurpleWhiteboard PurpleWhiteboard;
 
diff --git a/libpurple/purplewhiteboardmanager.h b/libpurple/purplewhiteboardmanager.h
--- a/libpurple/purplewhiteboardmanager.h
+++ b/libpurple/purplewhiteboardmanager.h
@@ -39,24 +39,9 @@
  */
 #define PURPLE_WHITEBOARD_MANAGER_DOMAIN (g_quark_from_static_string("purple-whiteboard-manager"))
 
-/**
- * PURPLE_TYPE_WHITEBOARD_MANAGER:
- *
- * The standard _TYPE_ macro for #PurpleWhiteboardManager.
- *
- * Since: 3.0.0
- */
 #define PURPLE_TYPE_WHITEBOARD_MANAGER (purple_whiteboard_manager_get_type())
 
 /**
- * purple_whiteboard_manager_get_type:
- *
- * The standard _get_type macro for #PurpleWhiteboardManager.
- *
- * Since: 3.0.0
- */
-
-/**
  * PurpleWhiteboardManager:
  *
  * #PurpleWhiteboardManager keeps track of all whiteboards and emits signals
diff --git a/libpurple/purplewhiteboarduiops.h b/libpurple/purplewhiteboarduiops.h
--- a/libpurple/purplewhiteboarduiops.h
+++ b/libpurple/purplewhiteboarduiops.h
@@ -30,11 +30,6 @@
 #include <glib.h>
 #include <glib-object.h>
 
-/**
- * PURPLE_TYPE_WHITEBOARD_UI_OPS:
- *
- * The standard _get_type macro for #PurpleWhiteboardUiOps.
- */
 #define PURPLE_TYPE_WHITEBOARD_UI_OPS (purple_whiteboard_ui_ops_get_type())
 typedef struct _PurpleWhiteboardUiOps PurpleWhiteboardUiOps;
 
diff --git a/libpurple/queuedoutputstream.h b/libpurple/queuedoutputstream.h
--- a/libpurple/queuedoutputstream.h
+++ b/libpurple/queuedoutputstream.h
@@ -32,11 +32,6 @@
 
 G_BEGIN_DECLS
 
-/**
- * PURPLE_TYPE_QUEUED_OUTPUT_STREAM:
- *
- * The standard _get_type macro for #PurpleQueuedOutputStream.
- */
 #define PURPLE_TYPE_QUEUED_OUTPUT_STREAM  purple_queued_output_stream_get_type()
 
 /**
diff --git a/libpurple/roomlist.h b/libpurple/roomlist.h
--- a/libpurple/roomlist.h
+++ b/libpurple/roomlist.h
@@ -27,27 +27,12 @@
 #ifndef PURPLE_ROOMLIST_H
 #define PURPLE_ROOMLIST_H
 
-/**
- * PURPLE_TYPE_ROOMLIST:
- *
- * The standard _get_type macro for #PurpleRoomlist.
- */
 #define PURPLE_TYPE_ROOMLIST (purple_roomlist_get_type())
 typedef struct _PurpleRoomlist PurpleRoomlist;
 
-/**
- * PURPLE_TYPE_ROOMLIST_FIELD:
- *
- * The standard _get_type macro for #PurpleRoomlistField.
- */
 #define PURPLE_TYPE_ROOMLIST_FIELD (purple_roomlist_field_get_type())
 typedef struct _PurpleRoomlistField PurpleRoomlistField;
 
-/**
- * PURPLE_TYPE_ROOMLIST_UI_OPS:
- *
- * The standard _get_type macro for #PurpleRoomlistUiOps.
- */
 #define PURPLE_TYPE_ROOMLIST_UI_OPS (purple_roomlist_ui_ops_get_type())
 typedef struct _PurpleRoomlistUiOps PurpleRoomlistUiOps;
 
diff --git a/libpurple/status.h b/libpurple/status.h
--- a/libpurple/status.h
+++ b/libpurple/status.h
@@ -27,19 +27,9 @@
 #ifndef PURPLE_STATUS_H
 #define PURPLE_STATUS_H
 
-/**
- * PURPLE_TYPE_STATUS:
- *
- * The standard _get_type macro for #PurpleStatus.
- */
 #define PURPLE_TYPE_STATUS (purple_status_get_type())
 typedef struct _PurpleStatus PurpleStatus;
 
-/*
- * PURPLE_TYPE_STATUS_TYPE:
- *
- * The standard _get_type macro for #PurpleStatusType.
- */
 #define PURPLE_TYPE_STATUS_TYPE (purple_status_type_get_type())
 
 /**
@@ -56,11 +46,6 @@
  */
 typedef struct _PurpleStatusType PurpleStatusType;
 
-/**
- * PURPLE_TYPE_STATUS_ATTRIBUTE:
- *
- * The standard _get_type macro for #PurpleStatusAttribute.
- */
 #define PURPLE_TYPE_STATUS_ATTRIBUTE (purple_status_attribute_get_type())
 
 /**
@@ -96,11 +81,6 @@
  */
 typedef struct _PurpleStatusAttribute PurpleStatusAttribute;
 
-/**
- * PURPLE_TYPE_MOOD:
- *
- * The standard _get_type macro for #PurpleMood.
- */
 #define PURPLE_TYPE_MOOD (purple_mood_get_type())
 
 /**
diff --git a/libpurple/xfer.h b/libpurple/xfer.h
--- a/libpurple/xfer.h
+++ b/libpurple/xfer.h
@@ -27,11 +27,6 @@
 #ifndef PURPLE_XFER_H
 #define PURPLE_XFER_H
 
-/**
- * PURPLE_TYPE_XFER_UI_OPS:
- *
- * The standard _get_type macro for #PurpleXferUiOps.
- */
 #define PURPLE_TYPE_XFER_UI_OPS      (purple_xfer_ui_ops_get_type())
 
 /**************************************************************************/
@@ -88,20 +83,8 @@
 
 G_BEGIN_DECLS
 
-/**
- * PURPLE_TYPE_XFER:
- *
- * The standard _get_type macro for #PurpleXfer.
- */
 #define PURPLE_TYPE_XFER             (purple_xfer_get_type())
 
-/**
- * purple_xfer_get_type:
- *
- * The standard _get_type function for #PurpleXfer.
- *
- * Returns: The #GType for #PurpleXfer.
- */
 G_DECLARE_DERIVABLE_TYPE(PurpleXfer, purple_xfer, PURPLE, XFER, GObject)
 
 /**
@@ -811,20 +794,7 @@
  * Protocol Interface
  *****************************************************************************/
 
-/**
- * PURPLE_TYPE_PROTOCOL_XFER:
- *
- * The standard _get_type macro for #PurpleProtocolXfer.
- */
 #define PURPLE_TYPE_PROTOCOL_XFER (purple_protocol_xfer_get_type())
-
-/**
- * purple_protocol_xfer_get_type:
- *
- * The standard _get_type function for #GType's.
- *
- * Returns: The #GType for the protocol xfer interface.
- */
 G_DECLARE_INTERFACE(PurpleProtocolXfer, purple_protocol_xfer, PURPLE,
                     PROTOCOL_XFER, PurpleProtocol)
 
